package org.jaggregator.config;

import java.net.URL;
import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;
import org.jaggregator.rss.util.UrlUtils;

/**
 * Configuration options of a subscription.
 *
 * @author <a href="mailto:jsz@jaggregator.de">Janek Schwarz</a>
 * @version $Revision: 1.4 $
 */
public class SubscriptionDecl 
{
private int count;
private URL channelUri;
private String altName;

public SubscriptionDecl() 
{
  count = SubscriptionCounter.getInstance().getNext();
}

public void setChannelUri(URL channelUri)
{
  this.channelUri = channelUri;
}

public URL getChannelUri()
{
  return channelUri;
}

public void setAltName(String altName)
{
  this.altName = altName;
}

public boolean hasAltName()
{
  return (altName != null);
}

public String getAltName()
{
  return altName;
}

public boolean equals(Object o)
{
  if(!(o instanceof SubscriptionDecl))
    return false;

  SubscriptionDecl rhs = (SubscriptionDecl) o;
  return new EqualsBuilder()
    .append(UrlUtils.toString(channelUri), UrlUtils.toString(rhs.channelUri))
    .isEquals();
}

public int hashCode() 
{
  return new HashCodeBuilder(211, 43).
    append(UrlUtils.toString(channelUri)).
    toHashCode();
}
}
