package org.jaggregator.config;

import java.net.URL;
import java.util.HashMap;
import org.apache.commons.collections.SequencedHashMap;
import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;
import org.apache.commons.lang.builder.ToStringBuilder;

/**
 * Manages a list of <code>SubscriptionDecl</code> objects.
 *
 * @author <a href="mailto:jsz@jaggregator.de">Janek Schwarz</a>
 * @version $Revision: 1.4 $
 */
public class SubscriptionListDecl 
  extends SequencedHashMap
{
private HashMap subscriptionDecls = new HashMap();
private String id;

public SubscriptionListDecl() 
{}

public void setId(String id)
{
  this.id = id;
}

public String getId()
{
  return id;
}

public void put(SubscriptionDecl subscription)
{
  put(subscription.getChannelUri(), subscription);
}

public SubscriptionDecl get(URL channelUri)
{
  return (SubscriptionDecl) super.get(channelUri);
}

public boolean equals(Object o)
{
  if(!(o instanceof SubscriptionListDecl))
    return false;

  SubscriptionListDecl rhs = (SubscriptionListDecl) o;
  return new EqualsBuilder()
    .append(id, rhs.id)
    .isEquals();
}

public String toString()
{
  return new ToStringBuilder(this)
    .append("id", id).toString();
}

public int hashCode() 
{
  return new HashCodeBuilder(211, 43).
    append(id).
    toHashCode();
}
}
