package org.jaggregator.rss;

import java.util.Collection;

/**
 * Objects implementing this interface can belong to a category.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.3 $
 */
public interface Categorizable
{
/**
 * Get the categories.
 */
Collection getCategories();

/**
 * Set the categories.
 */
void setCategories(Collection categories);

/**
 * Add a category to the list of categories.
 */
void addCategory(Category category);

/**
 * Test, whether this instance has categories.
 */
boolean hasCategories();
}
