package org.jaggregator.rss;

import java.util.List;

/**
 * A category defines hierarchic location in the indicated
 * taxonomy. Processors may establish conventions for the
 * interpretation of categories.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.5 $
 */
public interface Category 
{
/**
 * Get the name. The value of the element is a
 * forward-slash-separated string that identifies a hierarchic
 * location in the indicated taxonomy.
 */
String getName();

/**
 * Set the name. The value of the element is a
 * forward-slash-separated string that identifies a hierarchic
 * location in the indicated taxonomy.
 */
void setName(String name);

/**
 * Get the domain, a string that identifies a categorization
 * taxonomy. Optional.
 */
String getDomain();

/**
 * Set the domain, a string that identifies a categorization
 * taxonomy. Optional.
 */
void setDomain(String domain);

/**
 * Test, whether this instance has a domain.
 */
boolean hasDomain();
}
