package org.jaggregator.rss;

/**
 * A cloud specifies a Web service that supports the rssCloud
 * interface which can be implemented in HTTP-POST, XML-RPC or
 * SOAP 1.1. A full explanation of this element and the rssCloud
 * interface is {@link http://www.thetwowayweb.com/soapmeetsrss}
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.6 $
 */
public interface Cloud 
{
/**
 * Get the domain name or IP address of the cloud.
 */
String getDomain();

/**
 * Set the domain name or IP address of the cloud.
 */
void setDomain(String addressString);

/**
 * Get the TCP port that the cloud is running on.
 */
int getPort();

/**
 * Set the TCP port that the cloud is running on.
 */
void setPort(int port);

/**
 * Get the location of the cloud's responder.
 */
String getPath();

/**
 * Set the location of the cloud's responder.
 */
void setPath(String path);

/**
 * Get the name of the procedure to call to request notification.
 */
String getRegisterProcedure();

/**
 * Set the name of the procedure to call to request notification.
 */
void setRegisterProcedure(String procedure);

/**
 * Get the protocol which is to be used.
 */
CloudProtocol getProtocol();

/**
 * Set the protocol which is to be used.
 */
void setProtocol(CloudProtocol protocol);
}
