package org.jaggregator.rss;

import java.util.Collection;

/**
 * An <code>Extensible</code> is an object that can be extended
 * via modules.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.3 $
 */
public interface Extensible
{
/**
 * Get the collection of modules.
 */
Collection getModules();

/**
 * Get a certain module.
 */
Module getModule(String namespace);

/**
 * Add a module
 */
void addModule(Module module);

/**
 * Check, whether a module is available.
 */
boolean hasModule(String namespace);
}
