package org.jaggregator.rss;

import java.net.URL;

/**
 * A channel may optionally contain a TextInput sub-element,
 * which could be used submitting searches etc. to the site.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.5 $
 */
public interface TextInput 
{
/**
 * Get the label of the Submit button in the text input area. Manatory.
 */
String getTitle();

/**
 * Set the label of the Submit button in the text input area. Manatory.
 */
void setTitle(String title);

/**
 * Tests whether this instance has a title.
 */
boolean hasTitle();

/**
 * Get the URL of the CGI script that processes text input
 * requests. Manatory.
 */
URL getLink();

/**
 * Set the URL of the CGI script that processes text input
 * requests. Manatory.
 */
void setLink(URL link);

/**
 * Tests whether this instance has a link.
 */
boolean hasLink();

/**
 * Get the explanation for the text input area. Manatory.
 */
String getDescription();

/**
 * Set the explanation for the text input area. Manatory.
 */
void setDescription(String description);

/**
 * Tests whether this instance has a description.
 */
boolean hasDescription();

/**
 * Get the name of the text object in the text input area. Manatory.
 */
String getName();

/**
 * Set the name of the text object in the text input area. Manatory.
 */
void setName(String name);

/**
 * Tests whether this instance has a name.
 */
boolean hasName();
}
