package org.jaggregator.rss;

import java.util.Iterator;
import java.util.List;
import java.util.Map;
import org.apache.commons.lang.enum.Enum;

/**
 * Typesafe enumeration for RSS versions.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.6 $
 */
public class Version 
  extends Enum 
{
public static final Version VERSION_0_90 = new Version("0.9");
public static final Version VERSION_0_91 = new Version("0.91");
public static final Version VERSION_0_92 = new Version("0.92");
public static final Version VERSION_1_00 = new Version("1.0");
public static final Version VERSION_2_00 = new Version("2.0");

private Version(String versionString) 
{
  super(versionString);
}

public static Version getEnum(String versionString) 
{
  return (Version) getEnum(Version.class, versionString);
}

public static Map getEnumMap() 
{
  return getEnumMap(Version.class);
}

public static List getEnumList() 
{
  return getEnumList(Version.class);
}

public static Iterator iterator() 
{
  return iterator(Version.class);
}
}
