package org.jaggregator.rss.common;

import java.net.URL;
import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;
import org.jaggregator.rss.ChannelImage;
import org.jaggregator.rss.util.UrlUtils;

/**
 * Concrete implementation of the <code>ChannelImage</code>
 * interface.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.5 $
 */
public class ChannelImageImpl 
  implements ChannelImage
{
private URL url;
private String title;
private URL link;

public ChannelImageImpl() 
{}

public URL getUrl() 
{
  return url;
}

public void setUrl(URL url) 
{
  this.url = url;
}

public boolean hasUrl()
{
  return (url != null);
}

public String getTitle()
{
  return title;
}

public void setTitle(String title) 
{
  this.title = title;
}

public boolean hasTitle()
{
  return (title != null);
}

public URL getLink() 
{
  return link;
}

public void setLink(URL link)
{
  this.link = link;
}

public boolean hasLink()
{
  return (link != null);
}

public boolean equals(Object o)
{
  if(this == o)
    return true;
  
  if(o == null)
    return false;
  
  if(getClass() != o.getClass())
    return false;
  
  ChannelImageImpl rhs = (ChannelImageImpl) o;
  
  return new EqualsBuilder()
    .append(UrlUtils.toString(url), UrlUtils.toString(rhs.url))
    .append(title, rhs.title)
    .append(UrlUtils.toString(link), UrlUtils.toString(rhs.link))
    .isEquals();
}

public int hashCode()
{
  return new HashCodeBuilder(1836647273, 1249)
    .append(UrlUtils.toString(url))
    .append(title)
    .append(UrlUtils.toString(link))
    .toHashCode();
}
}
