package org.jaggregator.rss.digester;

import org.apache.commons.digester.CallParamRule;
import org.xml.sax.Attributes;

/**
 * Extends <code>CallParamRule</code> to choose the attribute 
 * by namespace.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.3 $
 */
public class NamespaceCallParamRule
  extends CallParamRule
{
private String nameSpace;

public NamespaceCallParamRule(String nameSpace,
                              int paramIndex,
                              String attributeName) 
{
  super(paramIndex, attributeName);

  this.nameSpace = nameSpace;
}

/**
 * Process the start of this element.
 *
 * @param attributes The attribute list for this element
 */
public void begin(Attributes attributes)
  throws Exception
{
  if (attributeName != null)
    {
      bodyText = attributes.getValue(nameSpace, attributeName);
    }
}
}
