package org.jaggregator.rss.digester;

import org.apache.commons.digester.Rule;
import org.xml.sax.Attributes;

/**
 * PushModuleRule.java
 *
 * @author <a href="mailto:jsz@jaggregator.de">Janek Schwarz</a>
 * @version $Revision: 1.1 $
 */
public class PushModuleRule
  extends Rule 
{
private ModuleInitializationRule initRule;

public PushModuleRule(ModuleInitializationRule initRule) 
{
  this.initRule = initRule;
}

public void begin(Attributes attributes)
  throws Exception
{
  if (digester.getLogger().isDebugEnabled())
    {
      digester.getLogger().debug(
        "[PushModuleRule]{" + digester.getMatch() +
        "} Push " + initRule.getModule());
    }

  digester.push(initRule.getModule());
}

public void end()
  throws Exception
{
  Object top = digester.pop();
  if (digester.getLogger().isDebugEnabled())
    {
      digester.getLogger().debug("[PushModuleRule]{" + 
                                 digester.getMatch() +
                                 "} Pop " + top.getClass().getName());
    }
}
}
