package org.jaggregator.rss.exporter;

import org.apache.ecs.xml.XML;
import org.jaggregator.rss.Channel;

/**
 * Exports title, link and description of a <code>Channel</code>.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.9 $
 */
public class ChannelFragmentExporterImpl
  extends AbstractFragmentExporter
{
public ChannelFragmentExporterImpl()
{
  registerExporter(Channel.class,
                   new BasicChannelFragmentExporterImpl());
}

public void export(Channel channel, 
                   XML channelXML,
                   XML root,
                   Object param)
{
  runExporters(Channel.class,
               channel,
               channelXML,
               root,
               channel);
}

/**
 * Does the actual export of <code>title, link,
 * description</code> of a <code>Channel</code>.
 */
private class BasicChannelFragmentExporterImpl 
  implements FragmentExporter
{
public void export(Channel channel, XML channelXML, XML root, Object param)
{
  if(channel.hasTitle())
    channelXML.addElement(new XML("title")
                          .addElement(channel.getTitle()));
  if(channel.hasLink())
    channelXML.addElement(new XML("link")
                          .addElement(channel.getLink().toString()));
  if(channel.hasDescription())
    channelXML.addElement(new XML("description")
                          .addElement(channel.getDescription()));
}
}
}
