package org.jaggregator.rss.exporter;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.OutputStream;
import org.jaggregator.rss.Channel;
import org.jaggregator.rss.Rss;
import org.jaggregator.rss.Version;

/**
 * Exporter capable of exporting a <code>Channel</code> to RSS
 * 0.92.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version
 */
public class ExporterImpl_0_92 
  extends ExporterImpl_0_91
{
public ExporterImpl_0_92(File file)
  throws FileNotFoundException
{
  this(Version.VERSION_0_92, file);
}

protected ExporterImpl_0_92(Version version, File file)
  throws FileNotFoundException
{
  super(version, file);
}

public ExporterImpl_0_92(OutputStream ostream)
{
  this(Version.VERSION_0_92, ostream);
}

protected ExporterImpl_0_92(Version version, OutputStream ostream)
{
  super(version, ostream);
}

protected void registerFragmentExporters()
{
  registerExporter(Rss.class, new RssFragmentExporterImpl_0_91());
  registerExporter(Channel.class, new ChannelFragmentExporterImpl_0_92());
  registerExporter(Channel.class, new ImageFragmentExporterImpl_0_91());
  registerExporter(Channel.class, new TextInputFragmentExporterImpl());
  registerExporter(Channel.class, new ItemFragmentExporterImpl_0_92());
}
}
