package org.jaggregator.rss.exporter;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.OutputStream;
import java.util.Iterator;
import org.apache.commons.collections.Predicate;
import org.apache.commons.collections.iterators.FilterIterator;
import org.apache.ecs.xml.XML;
import org.jaggregator.rss.Channel;
import org.jaggregator.rss.Rss;
import org.jaggregator.rss.Version;
import org.jaggregator.rss.modules.BlogChannelModuleFragmentExporter;
import org.jaggregator.rss.modules.ModuleFragmentExporter;
import org.jaggregator.rss.rss_2_00.Channel_2_00;

/**
 * Exporter capable of exporting a <code>Channel</code> to RSS
 * 2_00
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.9 $
 */
public class ExporterImpl_2_00
  extends ExporterImpl_0_92
{
public ExporterImpl_2_00(File file)
  throws FileNotFoundException
{
  this(Version.VERSION_2_00, file);
}

protected ExporterImpl_2_00(Version version, File file)
  throws FileNotFoundException
{
  super(version, file);
}

public ExporterImpl_2_00(OutputStream ostream)
{
  this(Version.VERSION_2_00, ostream);
}

protected ExporterImpl_2_00(Version version, OutputStream ostream)
{
  super(version, ostream);
}

protected void registerFragmentExporters()
{
  registerExporter(Rss.class, new RssFragmentExporterImpl_0_91());

  registerExporter(Channel.class, new ChannelFragmentExporterImpl_2_00());
  registerExporter(Channel.class, new ImageFragmentExporterImpl_0_91());
  registerExporter(Channel.class, new TextInputFragmentExporterImpl());
  registerExporter(Channel.class, new ItemFragmentExporterImpl_2_00());
}
}
