package org.jaggregator.rss.exporter;

import org.apache.ecs.Element;
import org.apache.ecs.xml.XML;
import org.jaggregator.rss.Channel;
import org.jaggregator.rss.ChannelImage;
import org.jaggregator.rss.rss_0_91.ChannelImage_0_91;
import org.jaggregator.rss.rss_0_91.Channel_0_91;

/**
 * Enhances the <code>ImageFragmentExporterImpl</code> to export
 * <code>width, height, description</code>.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.10 $
 */
public class ImageFragmentExporterImpl_0_91
  extends ImageFragmentExporterImpl
{
public ImageFragmentExporterImpl_0_91()
{
  registerExporter(ChannelImage.class,
                   new BasicImageFragmentExporterImpl_0_91());
}

/**
 * Does the actual export of <code>ChannelImage_0_91</code>.
 */
private class BasicImageFragmentExporterImpl_0_91
  implements FragmentExporter
{
public void export(Channel channel, XML imageXML, XML root, Object param)
{
  ChannelImage_0_91 image = (ChannelImage_0_91) channel.getImage();
  
  if(image.hasWidth())
    imageXML.addElement(new XML("width")
                        .addElement(String.valueOf(image.getWidth())));
  if(image.hasHeight())
    imageXML.addElement(new XML("height")
                        .addElement(String.valueOf(image.getHeight())));
  if(image.hasDescription())
    imageXML.addElement(new XML("description")
                        .addElement(image.getDescription()));
}
}
}
