package org.jaggregator.rss.exporter;

import org.apache.ecs.Element;
import org.apache.ecs.xml.XML;
import org.jaggregator.rss.Channel;
import org.jaggregator.rss.ChannelImage;
import org.jaggregator.rss.rss_1_00.ChannelImage_1_00;
import org.jaggregator.rss.rss_1_00.Channel_1_00;

/**
 * Enhances the <code>ImageFragmentExporterImpl</code> to export
 * <code>width, height, description</code>.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.7 $
 */
public class ImageFragmentExporterImpl_1_00
  extends ImageFragmentExporterImpl
{
public ImageFragmentExporterImpl_1_00()
{
  registerExporter(ChannelImage.class,
                   new BasicImageFragmentExporterImpl_1_00());
}

/**
 * Does the actual export of <code>ChannelImage_1_00</code>.
 */
private class BasicImageFragmentExporterImpl_1_00
  implements FragmentExporter
{
public void export(Channel channel, XML imageXML, XML root, Object param)
{
  ChannelImage_1_00 image = (ChannelImage_1_00) channel.getImage();

  imageXML.addXMLAttribute("rdf:about",
                           image.getAbout());
}
}
}
