package org.jaggregator.rss.exporter;

import org.apache.ecs.xml.XML;
import org.jaggregator.rss.Channel;
import org.jaggregator.rss.Item;
import org.jaggregator.rss.modules.ContentModuleFragmentExporter;
import org.jaggregator.rss.rss_1_00.Item_1_00;

/**
 * Extends <code>ItemFragmentExporter</code> to export the
 * <code>rdf:about</code> attribute of a <code>Item_1_00</code>
 * instance. Additionally, it supports the Module
 * <code>content:encoded</code>.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.7 $
 */
public class ItemFragmentExporterImpl_1_00
  extends ItemFragmentExporterImpl
{
public ItemFragmentExporterImpl_1_00()
{
  registerExporter(Item.class,
                   new BasicItemFragmentExporterImpl_1_00());
  registerExporter(Item.class,
                   new ContentModuleFragmentExporter());
}

/**
 * Does the actual export of of the <code>rdf:about</code>
 * attribute..
 */
private class BasicItemFragmentExporterImpl_1_00
  implements FragmentExporter
{
public void export(Channel channel, XML itemXML, XML root, Object param)
{
  Item_1_00 item = (Item_1_00) param;
  
  itemXML.addXMLAttribute("rdf:about", item.getAbout());
}
}
}
