package org.jaggregator.rss.exporter;

import org.apache.ecs.xml.XML;
import org.jaggregator.rss.Channel;
import org.jaggregator.rss.TextInput;
import org.jaggregator.rss.rss_1_00.TextInput_1_00;

/**
 * Extends <code>TextInputFragmentExporterImpl</code> to export
 * the <code>rdf:about</code> attribute of a
 * <code>TextInput_1_00</code> instance.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.6 $
 */
public class TextInputFragmentExporterImpl_1_00
  extends TextInputFragmentExporterImpl
{
public TextInputFragmentExporterImpl_1_00()
{
  registerExporter(TextInput.class,
                   new BasicTextFragmentExporterImpl_1_00());
}

/**
 * Does the actual export of of the <code>rdf:about</code> attribute..
 */
private class BasicTextFragmentExporterImpl_1_00 
  implements FragmentExporter
{
public void export(Channel channel, XML textInputXML, XML root, Object param)
{
  TextInput_1_00 textInput = (TextInput_1_00) channel.getTextInput();
  
  textInputXML.addXMLAttribute("rdf:about", textInput.getAbout());
}
}
}
