package org.jaggregator.rss.modules;

import java.net.URL;
import org.apache.commons.digester.Digester;
import org.apache.commons.digester.RuleSet;
import org.jaggregator.rss.digester.ModuleInitializationRule;
import org.jaggregator.rss.digester.PushModuleRule;

/**
 * RuleSet for setting up a digester for the BlogChannelModule of
 * RSS 2.00.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.6 $
 */
public class BlogChannelModuleRuleSet_2_00
  implements RuleSet
{
public static final String NAMESPACE = 
  "http://backend.userland.com/blogChannelModule";

public BlogChannelModuleRuleSet_2_00()
{}

/**
 * Return the namespace that identifies this module.
 */
public String getNamespaceURI()
{
  return NAMESPACE;
}

public void addRuleInstances(Digester digester)
{
  ModuleInitializationRule initRule = 
    new ModuleInitializationRule(
      "org.jaggregator.rss.modules.BlogChannelModuleImpl_2_00");

  digester.addRule(
    "rss/channel", 
    initRule);
  
  digester.addRule(
    "rss/channel/blogRoll", 
    new PushModuleRule(initRule));
  digester.addCallMethod("rss/channel/blogRoll", 
                         "setBlogRoll",
                         0,
                         new Class[] { URL.class });
  digester.addRule(
    "rss/channel/mySubscriptions", 
    new PushModuleRule(initRule));
  digester.addCallMethod("rss/channel/mySubscriptions", 
                         "setSubscriptions",
                         0,
                         new Class[] { URL.class });
  digester.addRule(
    "rss/channel/blink", 
    new PushModuleRule(initRule));
  digester.addCallMethod("rss/channel/blink", 
                         "setBlink",
                         0,
                         new Class[] { URL.class });
  digester.addRule(
    "rss/channel/changes", 
    new PushModuleRule(initRule));
  digester.addCallMethod("rss/channel/changes", 
                         "setChanges",
                         0,
                         new Class[] { URL.class });
}
}
