package org.jaggregator.rss.modules;

import org.jaggregator.rss.exporter.FragmentExporter;



/**
 * A <code>ModuleFragmentExporter</code> has to provide namespace
 * definitions in addition to being able to export the xml of
 * that module.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.5 $
 */
public interface ModuleFragmentExporter
  extends FragmentExporter
{
/**
 * Get the namespace prefix. For the example
 * <code>xmlns:blogChannel="http://backend.userland.com/blogChannelModule"</code>
 * it would return <code>blogChannel</code>.
 */
String getNamespacePrefix();

/**
 * Get the namespace. For the example
 * <code>xmlns:blogChannel="http://backend.userland.com/blogChannelModule"</code>
 * it would return
 * <code>http://backend.userland.com/blogChannelModule</code>.
 */
String getNamespace();
}
