package org.jaggregator.rss.rss_0_90;

import org.apache.commons.digester.AbstractObjectCreationFactory;
import org.jaggregator.rss.ChannelImage;
import org.jaggregator.rss.ChannelImageFactory;
import org.jaggregator.rss.common.ChannelImageImpl;
import org.xml.sax.Attributes;

/**
 * Concrete Factory for <code>ChannelImageImpl</code> objects
 * conforming to RSS 0.90 specification.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.1 $
 */
public class ChannelImageFactory_0_90 
  extends AbstractObjectCreationFactory
  implements ChannelImageFactory
{
public Object createObject(Attributes attributes)
{
  return create();
}

public ChannelImage create()
{
  return new ChannelImageImpl();
}
}
