package org.jaggregator.rss.rss_0_90;

import java.net.URL;
import org.apache.commons.digester.CallMethodRule;
import org.apache.commons.digester.CallParamRule;
import org.apache.commons.digester.Digester;
import org.apache.commons.digester.ObjectCreationFactory;
import org.apache.commons.digester.Rule;
import org.apache.commons.digester.RuleSet;
import org.xml.sax.Attributes;

import org.jaggregator.rss.digester.NamespaceCallParamRule;

/**
 * RuleSet for setting up a digester for RSS 0.90.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.2 $
 */
public class RuleSet_0_90
  implements RuleSet
{
private static final String NAMESPACE = 
  "http://my.netscape.com/rdf/simple/0.9/";

public RuleSet_0_90()
{}

public String getNamespaceURI()
{
  return NAMESPACE;
}

public void addRuleInstances(Digester digester)
{
  digester.addCallMethod("RDF/channel/title", "setTitle", 0);
  digester.addCallMethod("RDF/channel/link", 
                         "setLink", 
                         0,
                         new Class[] { URL.class });
  digester.addCallMethod("RDF/channel/description", "setDescription", 0);
  digester.addFactoryCreate("RDF/image", getChannelImageFactory());
  digester.addSetNext("RDF/image", "setImage");
  digester.addCallMethod("RDF/image/title", "setTitle", 0);
  digester.addCallMethod("RDF/image/url", 
                         "setUrl", 
                         0,
                         new Class[] { URL.class });
  digester.addCallMethod("RDF/image/link", 
                         "setLink", 
                         0,
                         new Class[] { URL.class });
  digester.addFactoryCreate("RDF/textinput", 
                            getTextInputFactory());
  digester.addSetNext("RDF/textinput", "setTextInput");
  digester.addCallMethod("RDF/textinput/title", "setTitle", 0);
  digester.addCallMethod("RDF/textinput/description", 
                         "setDescription", 0);
  digester.addCallMethod("RDF/textinput/name", "setName", 0);
  digester.addCallMethod("RDF/textinput/link",
                         "setLink", 
                         0,
                         new Class[] { URL.class });
  digester.addFactoryCreate("RDF/item", 
                            getItemFactory());
  digester.addSetNext("RDF/item", "addItem");
  digester.addSetTop("RDF/item", "setChannel");
  digester.addCallMethod("RDF/item/title", "setTitle", 0);
  digester.addCallMethod("RDF/item/link", 
                         "setLink", 
                         0,
                         new Class[] { URL.class });
}

protected ObjectCreationFactory getChannelImageFactory()
{
  return new ChannelImageFactory_0_90();
}

protected ObjectCreationFactory getTextInputFactory()
{
  return new TextInputFactory_0_90();
}

protected ObjectCreationFactory getItemFactory()
{
  return new ItemFactory_0_90();
}
}
