package org.jaggregator.rss.rss_0_90;

import org.apache.commons.digester.AbstractObjectCreationFactory;
import org.jaggregator.rss.TextInput;
import org.jaggregator.rss.TextInputFactory;
import org.jaggregator.rss.common.TextInputImpl;
import org.xml.sax.Attributes;

/**
 * Concrete Factory for <code>TextInputImpl</code> objects
 * conforming to RSS 0.90 specification.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.1 $
 */
public class TextInputFactory_0_90 
  extends AbstractObjectCreationFactory
  implements TextInputFactory
{
public Object createObject(Attributes attributes)
{
  return create();
}

public TextInput create()
{
  return new TextInputImpl();
}
}
