package org.jaggregator.rss.rss_0_92;

import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;
import org.jaggregator.rss.Category;

/**
 * Canonical implementation of the <code>Category</code>
 * interface.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.3 $
 */
public class CategoryImpl_0_92
  implements Category
{
private String name;
private String domain;

public CategoryImpl_0_92()
{}

public String getName()
{
  return name;
}

public void setName(String name)
{
  if(name == null)
    throw new IllegalArgumentException("name == null");
  
  this.name = name;
}

public String getDomain()
{
  return domain;
}

public void setDomain(String domain)
{
  this.domain = domain;
}

public boolean hasDomain()
{
  return (domain != null);
}

public boolean equals(Object o) 
{
  if(!(o instanceof CategoryImpl_0_92))
    return false;

  CategoryImpl_0_92 rhs = (CategoryImpl_0_92) o;
  return new EqualsBuilder()
    .append(name, rhs.name)
    .append(domain, rhs.domain)
    .isEquals();
}

public int hashCode() 
{
  return new HashCodeBuilder(29, 43)
    .append(name)
    .append(domain)
    .toHashCode();
}
}
