package org.jaggregator.rss.rss_0_92;

import java.util.Collection;
import java.util.HashSet;
import java.util.Set;
import org.jaggregator.rss.Enclosure;
import org.jaggregator.rss.Source;
import org.jaggregator.rss.Category;
import org.jaggregator.rss.common.ItemImpl;

/**
 * Canonical implementation of the <code>Item_0_92</code>
 * interface.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.4 $
 */
public class ItemImpl_0_92 
  extends ItemImpl 
  implements Item_0_92
{
private Source source;
private Enclosure enclosure;
private Set categorySet;

public ItemImpl_0_92()
{
  categorySet = new HashSet();
}

public Source getSource()
{
  return source;
}

public void setSource(Source source)
{
  this.source = source;
}

public boolean hasSource()
{
  return (source != null);
}

public Enclosure getEnclosure()
{
  return enclosure;
}

public void setEnclosure(Enclosure enclosure)
{
  this.enclosure = enclosure;
}

public boolean hasEnclosure()
{
  return (enclosure != null);
}

public Collection getCategories()
{
  return categorySet;
}

public void setCategories(Collection categorySet)
{
  this.categorySet.clear();
  this.categorySet.addAll(categorySet);
}

public void addCategory(Category category)
{
  categorySet.add(category);
}

public boolean hasCategories()
{
  return (categorySet.size() > 0);
}
}
