package org.jaggregator.rss.rss_1_00;

import org.apache.commons.digester.AbstractObjectCreationFactory;
import org.jaggregator.rss.ChannelImage;
import org.jaggregator.rss.ChannelImageFactory;
import org.xml.sax.Attributes;

/**
 * Concrete Factory for <code>ChannelImageImpl</code> objects
 * conforming to RSS 0.91 specification.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.3 $
 */
public class ChannelImageFactory_1_00 
  extends AbstractObjectCreationFactory
  implements ChannelImageFactory
{
public Object createObject(Attributes attributes)
{
  return create();
}

public ChannelImage create()
{
  return new ChannelImageImpl_1_00();
}
}
