package org.jaggregator.rss.rss_1_00;

import java.util.Collection;
import org.apache.commons.lang.builder.EqualsBuilder;
import org.jaggregator.rss.Channel;
import org.jaggregator.rss.Module;
import org.jaggregator.rss.Version;
import org.jaggregator.rss.common.ChannelImpl;
import org.jaggregator.rss.common.ExtensionSupport;

/**
 * Canonical implementation of the <code>Channel_1_0</code>
 * interface.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version
 */
public class ChannelImpl_1_00
  extends ChannelImpl
  implements Channel_1_00
{
private String about;

private ExtensionSupport extensionSupport;

public ChannelImpl_1_00()
{
  this.extensionSupport = new ExtensionSupport();
  setVersion(Version.VERSION_1_00);
}

public String getAbout()
{
  return about;
}

public void setAbout(String about)
{
  this.about = about;
}

public Collection getModules()
{
  return extensionSupport.getModules();
}

public Module getModule(String namespace)
{
  return extensionSupport.getModule(namespace);
}

public void addModule(Module module)
{
  extensionSupport.addModule(module);
}

public boolean hasModule(String namespace)
{
  return extensionSupport.hasModule(namespace);
}

public boolean channelLevelEquals(Channel o)
{
  if(this == o)
    return true;
  
  if(o == null)
    return false;

  if(this.getClass() != o.getClass())
    return false;
  
  if(super.channelLevelEquals(o) == false)
    return false;
  
  ChannelImpl_1_00 rhs = (ChannelImpl_1_00) o;

  return new EqualsBuilder()
    .append(about, rhs.about)
    .append(extensionSupport, rhs.extensionSupport)
    .isEquals();
}
}
