package org.jaggregator.rss.rss_1_00;

import java.io.IOException;
import java.util.Collection;
import java.util.LinkedList;
import org.jaggregator.rss.Channel;
import org.jaggregator.rss.ConverterSet;
import org.jaggregator.rss.RssException;
import org.jaggregator.rss.Version;
import org.jaggregator.rss.common.AbstractParser;
import org.jaggregator.rss.common.RdfRuleSet;
import org.jaggregator.rss.modules.ContentModuleRuleSet_2_00;
import org.jaggregator.rss.rss_0_90.ConverterSet_0_90;
import org.xml.sax.InputSource;
import org.xml.sax.SAXException;

/**
 * A parser capable of parsing RSS 1.0 documents.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.7 $
 */
public class Parser_1_00
  extends AbstractParser
{
public Parser_1_00() 
{
  super(Version.VERSION_1_00);
  
  setup();
}

protected ConverterSet getConverterSet()
{
  return new ConverterSet_0_90();
}

protected Collection getDigesterRuleSetCollection()
{
  LinkedList list = new LinkedList();
  list.add(new RdfRuleSet(new ChannelFactory_1_00()));
  list.add(new RuleSet_1_00());
  list.add(new ContentModuleRuleSet_2_00());

  return list;
}

public Channel parse(InputSource source)
  throws RssException
{
  try
    {
      return (Channel) digester.parse(source);
    }
  catch(IOException ex)
    {
      throw new RssException(ex);
    }
  catch(SAXException ex)
    {
      throw new RssException(ex);
    }
}

protected boolean shouldSupportNamespaces()
{
  return true;
}
}
