package org.jaggregator.rss.rss_2_00;

import java.util.Collection;
import org.jaggregator.rss.Categorizable;
import org.jaggregator.rss.Extensible;
import org.jaggregator.rss.rss_0_92.Channel_0_92;

/**
 * RSS 2.0 enhancements for a channel.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.3 $
 */
public interface Channel_2_00 
  extends Channel_0_92, Categorizable, Extensible
{
/**
 * Get a string indicating the program used to generate the
 * channel.
 */
String getGenerator();

/**
 * Set a string indicating the program used to generate the
 * channel.
 */
void setGenerator(String generator);

/**
 * Tests whether this instance has a generator.
 */
boolean hasGenerator();

/**
 * Get ttl. Ttl stands for time to live. It's a number of minutes
 * that indicates how long a channel can be cached before
 * refreshing from the source. This makes it possible for RSS
 * sources to be managed by a file-sharing network such as
 * Gnutella.
 */
int getTtl();

/**
 * Set ttl. Ttl stands for time to live. It's a number of minutes
 * that indicates how long a channel can be cached before
 * refreshing from the source. This makes it possible for RSS
 * sources to be managed by a file-sharing network such as
 * Gnutella.
 */
void setTtl(int ttl);

/**
 * Tests whether this instance has a ttl.
 */
boolean hasTtl();
}
