package org.jaggregator.rss.util;

import java.net.URL;
import java.util.EventObject;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import org.apache.commons.lang.enum.Enum;

/**
 * Event that is emitted when the SubscriptionRegistry started
 * and finished retrieving channel data.
 *
 * @author <a href="mailto:jsz@jaggregator.de">Janek Schwarz</a>
 * @version $Revision: 1.2 $
 */
public class ChannelRetrievalEvent
  extends EventObject 
{
public static final Progress STARTED = new Progress("0");
public static final Progress FINISHED_SUCCESS = new Progress("1");
public static final Progress FINISHED_FAILURE = new Progress("2");

private Progress progress;
private URL channelUri;

public ChannelRetrievalEvent(Object source,
                             URL channelUri,
                             Progress progress) 
{
  super(source);

  this.channelUri = channelUri;
  this.progress = progress;
}

public Progress getProgress()
{
  return progress;
}

public URL getChannelUri()
{
  return channelUri;
}

public static class Progress 
  extends Enum
{
private Progress(String versionString) 
{
  super(versionString);
}

public static Progress getEnum(String versionString) 
{
  return (Progress) getEnum(Progress.class, versionString);
}

public static Map getEnumMap() 
{
  return getEnumMap(Progress.class);
}

public static List getEnumList() 
{
  return getEnumList(Progress.class);
}

public static Iterator iterator() 
{
  return iterator(Progress.class);
}
}
}
