package org.jaggregator.rss.util;

import java.net.URL;

/**
 * Provides utility functions for URL objects.
 *
 * @author <a href="mailto:jsz@jaggregator.de">Janek Schwarz</a>
 * @version $Revision: 1.1 $
 */
public class UrlUtils 
{
/**
 * Converts an <code>URL</code> object into a string. The
 * difference to <code>URL.toString()</code> is that this method
 * always returns a lowercase string.
 *
 * @param url an <code>URL</code> value. Can be <code>null</code>
 * @return a lowercase <code>String</code> of the external form
 * of <code>url</code>, or <code>null</code>, if <code>url</code>
 * was <code>null</code>.
 */
public static String toString(URL url)
{
  String ret = null;
  
  if(url != null)
    ret = url.toExternalForm().toLowerCase();
  
  return ret;
}
}
