package org.jaggregator.util;

import org.apache.xerces.xni.Augmentations;
import org.apache.xerces.xni.QName;
import org.apache.xerces.xni.XMLAttributes;
import org.apache.xerces.xni.XNIException;
import org.cyberneko.html.filters.DefaultFilter;

/**
 * Filter for NekoHTML that enhances every &lta href="..."&gt tag with a
 * target="_blank" attribute.
 *
 * @author Janek Schwarz <jsz@jaggregator.org>
 * @version $Revision: 1.1 $
 */
public class BlankTargetHtmlEnhancer
  extends DefaultFilter
{
public void startElement(QName element,
                         XMLAttributes attributes,
                         Augmentations augs)
  throws XNIException
{
  if(element.rawname.equals("a") || element.rawname.equals("A"))
    {
      boolean foundHref = false;
      int count = attributes.getLength();
      for(int i = 0; i < count; i++)
        {
          String aname = attributes.getQName(i).toLowerCase();
          if(aname.equals("target"))
            {
              attributes.removeAttributeAt(i--);
              count--;
            }
          else if(aname.equals("href"))
            {
              foundHref = true;
            }
        }

      // make sure that we add a "target" attribute only to an "a" element
      // that is a hyperlink
      if(foundHref)
        {
          attributes.addAttribute(new QName(null, "target", "target", null),
                                  "CDATA",
                                  "_blank");
        }
    }

  super.startElement(element, attributes, augs);
}
}

