package org.jaggregator.rss.exporter;

import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.FileInputStream;
import javax.xml.parsers.DocumentBuilderFactory;
import org.custommonkey.xmlunit.DetailedDiff;
import org.custommonkey.xmlunit.Diff;
import org.jaggregator.rss.Channel;
import org.jaggregator.rss.ChannelExporter;
import org.jaggregator.rss.Parser;
import org.jaggregator.rss.rss_1_00.Channel_1_00;
import org.jaggregator.rss.rss_1_00.Parser_1_00;
import org.jaggregator.util.XMLTestCase;
import org.w3c.dom.Document;
import org.xml.sax.InputSource;

/**
 * Unit Test for class TestExporter_1_00.java
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.6 $
 */
public class TestExporter_1_00
  extends XMLTestCase
{
private Channel_1_00 channel;

public TestExporter_1_00(String name)
{
  super(name);
}

public void testExport()
  throws Exception
{
  Parser parser = new Parser_1_00();
  Channel channel = (Channel_1_00) parser.parse(
    createInputSourceForFile(
      "src/test/org/jaggregator/rss/" +
      "rss_1_00/rss-example-1.0-core.xml"));

  ByteArrayOutputStream ostream = new ByteArrayOutputStream();
  ChannelExporter exporter = new ExporterImpl_1_00(ostream);
  exporter.export(channel);

  System.err.println(ostream.toString());

  Document actualDocument = createDocument(
    new ByteArrayInputStream(ostream.toByteArray()));

  Document expectedDocument = createDocument(
    createInputStreamForFile(
      "src/test/org/jaggregator/rss/rss_1_00/rss-example-1.0-core.xml"));
  
  DetailedDiff detailedDiff = new DetailedDiff(new Diff(expectedDocument,
                                                        actualDocument));
  
  assertXMLEqual("", detailedDiff, true);
}

protected DocumentBuilderFactory createDocumentBuilderFactory()
{
  DocumentBuilderFactory docBuilderFactory = 
    super.createDocumentBuilderFactory();
  
  docBuilderFactory.setNamespaceAware(true);
  
  return docBuilderFactory;
}
}

