package org.jaggregator.rss.modules;


import java.net.URL;
import java.util.Collection;
import org.jaggregator.TestCase;
import org.jaggregator.rss.*;
import org.jaggregator.rss.rss_2_00.Channel_2_00;
import org.jaggregator.rss.rss_2_00.Item_2_00;
import org.jaggregator.rss.rss_2_00.Parser_2_00;
import org.xml.sax.InputSource;

/**
 * Unit Test for class ContentModule.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version
 */
public class TestContentModuleRss_2_00
  extends TestCase 
{
private Channel_2_00 channel;
private ContentModuleImpl_1_00 contentModule;

public TestContentModuleRss_2_00(String name)
{
  super(name);
}

protected void setUp()
  throws Exception
{
  Parser parser = new Parser_2_00();
  
  channel = (Channel_2_00) parser.parse(
    createInputSourceForFile(
      "src/test/org/jaggregator/rss/modules/content-encoded.xml"));

  Item_2_00 item = (Item_2_00) channel.getItems().get(0);
  
  contentModule = 
    (ContentModuleImpl_1_00) item.getModule(
      ContentModule.NAMESPACE);
}

public void testParse()
{
  assertNotNull(channel);
}

public void testInitialized()
{
  boolean actualValue = contentModule.isInitialized();
  boolean expectedValue = true;
  
  assertEquals(expectedValue, actualValue);
}

public void testContentModule()
{
  assertNotNull(contentModule);
}

public void testContent()
  throws Exception
{
  String actualValue = contentModule.getContent();
  String expectedValue = "<p>Well, that was fun.  Have some pictures.</p>";

  assertEquals(expectedValue, actualValue);
}
}
