package org.jaggregator.rss.util;

import java.io.File;
import java.net.URL;
import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;
import org.jaggregator.rss.Channel;
import org.jaggregator.rss.Parser;
import org.jaggregator.rss.rss_0_91.Parser_0_91;
import org.xml.sax.InputSource;

/**
 * Unit Test for class TestChannelRetriever.java
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.9 $
 */
public class TestChannelRetriever
  extends TestCase
{
private Response firstResponse;

public TestChannelRetriever(String name)
{
  super(name);
}

public void testFile()
  throws Exception
{
  File localChannelFile = 
    new File("src/test/org/jaggregator/rss/rss_0_91/rss-example-0.91.xml");
  
  URL channelUrl = localChannelFile.toURL();
  
  ChannelRetriever retriever = ChannelRetriever.getRetriever(channelUrl);

  Class actualValue = retriever.getClass();
  Class expectedValue = ChannelFileRetriever.class;
  
  assertEquals(expectedValue, actualValue);
}

public void testHttp()
  throws Exception
{
  ChannelRetriever retriever = 
    ChannelRetriever.getRetriever(
      new URL("http://www.janek.org/rss/rss-example-0.91.xml"));

  Class actualValue = retriever.getClass();
  Class expectedValue = ChannelHttpRetriever.class;
  
  assertEquals(expectedValue, actualValue);
}
}
